import request from "@/utils/request";

export function showTask(params) {
  return request({
    url: '/integration/task/selectAll',
    method: 'get',
    params
  })
}

export function addTask(data) {
  return request({
    url: '/integration/task/addTask',
    method: 'post',
    data
  })
}

export function delTask(id) {
  return request({
    url: '/integration/task/delTask?id='+id,
    method: 'delete',
  })
}

export function updTask(params) {
  return request({
    url: '/integration/task/delTask',
    method: 'put',
    params
  })
}

export function extractDataName() {
  return request({
    url: '/integration/task/extractDataName',
    method: 'post',
  })
}

export function selectByTableName(tableName) {
  return request({
    url: `/integration/task/selectByTableName?tableName=`+tableName,
    method: 'post',
  })
}

export function addTaskInfo(data) {
  return request({
    url: `/integration/taskInfo/addTaskInfo`,
    method: 'post',
    data
  })
}

export function selectByNodeId(data) {
  return request({
    url: `/integration/taskInfo/selectByNodeId`,
    method: 'post',
    data
  })
}

export function selectByOne(nodeId) {
  return request({
    url: `/integration/taskInfo/selectByOne?nodeId=`+nodeId,
    method: 'post',
  })
}

export function addSelect(data) {
  return request({
    url: `/integration/sqlSelect/addSelectNode`,
    method: 'post',
    data
  })
}

export function addTableField(data) {
  return request({
    url: `/integration/taskFields/addField`,
    method: 'post',
    data
  })
}

export function seeTableField(data) {
  return request({
    url: `/integration/taskFields/showFieldList`,
    method: 'post',
    data
  })
}

export function selectByAsField(data) {
  return request({
    url: `/integration/taskFields/selectByAsField`,
    method: 'post',
    data
  })
}

export function addOutPut(data) {
  return request({
    url: `/integration/output/addOutput`,
    method: 'post',
    data
  })
}

export function findBySelectId(nodeId) {
  return request({
    url: `/integration/sqlSelect/findBySelectId?nodeId=`+nodeId,
    method: 'post',
  })
}

export function todoTask(id) {
  return request({
    url: `/integration/task/todoTask?id=`+id,
    method: 'GET',
  })
}


